noinst_LTLIBRARIES=libframework.la

INCLUDES=-I${top_srcdir} -I${top_builddir} @AKAXISO2_INCLUDES@

libframework_la_SOURCES= all.h \
	any.h \
	accessor.h \
	any_op.cpp any_op.h \
	array.h attribute.h \
	choice.h \
	closure.cpp closure.h \
	construct.cpp construct.h \
	container_methods.h \
	document.cpp document.h \
	element_props.cpp element_props.h \
	equals.cpp equals.h \
	fixed.h \
	item.cpp item.h \
	member.h \
	member_cache.h \
	memberdef.h \
	membertype.cpp membertype.h \
	model_check.cpp model_check.h \
	namespace_statics.h \
	namespaces.cpp namespaces.h \
	namespace_list.cpp namespace_list.h \
	node.h \
	node_ptr.h \
	operators.h operators.cpp \
	entity_complements.cpp entity_complements.h \
	literal.cpp literal.h \
	ptrmember.h \
	qname.cpp qname.h \
	sequence.h \
	simplecontent.h \
	simpletype.h \
	type_registry.cpp type_registry.h \
	types.h

pkgincludedir=${includedir}/${subdir}
pkginclude_HEADERS=all.h any.h any_op.h array.h attribute.h choice.h closure.h construct.h container_methods.h document.h element_props.h equals.h fixed.h item.h member.h member_cache.h memberdef.h membertype.h model_check.h namespace_statics.h namespaces.h namespace_list.h node.h node_ptr.h operators.h entity_complements.h ptrmember.h qname.h sequence.h simplecontent.h simpletype.h type_registry.h types.h accessor.h xmltype.h document_factory.h type_vector.h
